# coding: utf-8
import hashlib
import getpass
import os
import time
try:
    import wordcloud  # noqa: F401
    __HAS_WC__ = True
except ImportError:
    __HAS_WC__ = False
__version__ = "0.9.0"
USER = getpass.getuser() or os.getlogin() or os.getenv(
    "USER", default="UNKNOWN")
USER_HASH = int(str(int(hashlib.md5(USER.encode()).hexdigest(), 16))[-5:])
__PIP_PACKAGE_NAME__ = "ta-report"
EXCEL_MAX_ROWS = 1000
IMG_MAX_DOWNLOAD = 2000
START_TIME_S = time.time()
CWD = os.getcwd()
SESSION_ID = int(START_TIME_S) * 10**6 + USER_HASH
CLI_REPORTS = ("report", "search_queries")
# logstash conf
LS_HOST = "mp-logstash.haze.yandex.net"
LS_PORT = 5959
